.search-bar{
  display: flex;
  align-self: flex-end;
  align-items: flex-end;
  justify-content: center;
  width: 300px;
  height: 44px;
  position: relative;
  overflow: hidden;
}

.search-bar-input{
  position: absolute;
  top: 0;
  right: -210px;
  padding: 0;
  height: 100%;
  border: 0px;
  transition: right 1s ease;
  border-bottom: solid white 2px;
  background: #2153A3;

}

.substitute{
  z-index: -1;
  width: 210px;
  height:100%;
}

.search-bar-icon{
  border-bottom: solid white 2px;
  height: 44px;
  width: 90px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #09357B;
  position: absolute;
  right: 0;
  transition: background-color 0.5s ease;
}

.search-bar-submit {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: transparent;
  border-width: 0px;
  padding: 0;
  z-index: 1;
}

.expand .search-bar-input{
  width: 210px;
  right: 90px;
  padding-left: 20px;
}

.expand .search-bar-input:focus-visible{
  outline: none;

}
.expand .search-bar-input:-internal-autofill-selected{
  -webkit-box-shadow: 0 0 0px 1000px #2153A3 inset;
  transition: background-color 5000s ease-in-out 0s;
}


.expand .search-bar-icon{
  background-color: #2153A3;
}

.expand .search-bar-submit{
  z-index: -1;
}


/* .search-bar > .input-expand{
  width: 210px;
  right: 90px;
} */

/* .search-bar .open{
  z-index: -1;
} */


/* .search-bar .change-color{
  background-color: #2153A3;
} */